Subject: Re: [trill] WG LC for draft-ietf-trill-ia-appsubtlv-03 -

From: Donald Eastlake <[email-masked]>
Date: Fri, 5 Jun 2015 13:52:56 -0400

Hi Gayle,

Thanks for these corrections.

Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Mon, Jun 1, 2015 at 1:51 AM, gayle noble <[email-masked]> wrote:
>  TRILL: Interface Addresses APPsub-TLV
>               <draft-eastlake-trill-ia-appsubtlv-03.txt>
> errors:
>
> 1.   Page 1 abstract and page 3 Introduction  Forth sentence
> ['use" should be "used"]
> (as written)
> Such information could be use in some cases to synthesize responses to or
> by-pass the need for the Address Resolution Protocol (ARP), the IPv6
> Neighbor Discovery (ND) protocol, or the flooding of unknown MAC addresses.
> (should be)
> Such information could be used in some cases to synthesize responses to or
> by-pass the need for the Address Resolution Protocol (ARP), the IPv6
> Neighbor Discovery (ND) protocol, or the flooding of unknown MAC addresses.
> -----------------------------------------------------------------------------
>
> 2.   page 6 description of L bit
> ["Both D and L can one in the same" does not make sense. Was this supposed
> to mean "Both D and L can be set to one in the same IA APPsub-TLV. ??]
> (as written)
> L:      Local flag: If L is one, the APPsub-TLV contains information learned
> ocally by observing ingressed frames. (Both D and L can one in the same IA
> APPsub-TLV.)
> (probably should be)
> L:      Local flag: If L is one, the APPsub-TLV contains information learned
> locally by observing ingressed frames. (Both D and L can be one in the same
> IA APPsub-TLV.)
> (would read better as)
> L:      Local flag: If L is one, the APPsub-TLV contains information learned
> locally by observing ingressed frames. (Both D and L can be set to one in
> the same IA APPsub-TLV.)
> -----------------------------------------------------------------------------
>
> 3.   page 6 description of N bit
> ["one in a ESADI LSP" should be "one in an ESADI LSP" and "contens" should
> be "contents" ]
> (as written)
> N:     Notify flag: When a TRILL switch receives a new IA APPsub-TLV (one in
> a ESADI LSP fragment with a higher sequence number or a new message of some
> other type) and the N bit is one, the TRILL switch then checks the contens
> of the APPsub-TLV for IP address to MAC address mappings.
> (probably should be)
> N:     Notify flag: When a TRILL switch receives a new IA APPsub-TLV (one in
> an ESADI LSP fragment with a higher sequence number or a new message of some
> other type) and the N bit is one, the TRILL switch then checks the contents
> of the APPsub-TLV for IP address to MAC address mappings.
> -----------------------------------------------------------------------
> 4.   page 7 in Template: the fifth sentence (the last one)
> ["filed" should be "field"]
> (as written)
> If K is 255, the length of the Template filed is three bytes and the values
> of the second and third byte, considered as an unsigned integer in network
> byte order, are reserved to correspond to future specified ordered sets of
> AFNs.
> (should be)
> If K is 255, the length of the Template field is three bytes and the values
> of the second and third byte, considered as an unsigned integer in network
> byte order, are reserved to correspond to future specified ordered sets of
> AFNs.
> -----------------------------------------------------------------------------
>
> 5.   page 12 section 3.4 Topology sub-sub-TLV first sentence
> [The last word "give" doesn't make any sense. Should this be "given"?]
> (as written)
> The presence of this sub-sub-TLV indicates that the interfaces given in the
> IA APPsub-TLV are reachable in the topology give.
> (should this be?)
> The presence of this sub-sub-TLV indicates that the interfaces given in the
> IA APPsub-TLV are reachable in the topology given.
> --------------------------------------------------------
>
> 6.   page 15 section 5.1 Additional AFN Number Allocation
> ["alocated" should be spelt "allocated"]
> (as written)
>   IANA has alocated AFN numbers as follows:
> (should be)
>   IANA has allocated AFN numbers as follows:
> -----------------------------------------------------------------
>
> 7.   page 19 paragraph at the bottom first sentence
> [The word "give" doesn't make any sense. Should this be "given"?]
> (as written)
>    The Fixed Address sub-sub-TLV causes the IPv6/64 value give to be treated
> as if it occurred as a 4th entry inside each of the three Address Sets.
> (should this be?)
>   The Fixed Address sub-sub-TLV causes the IPv6/64 value given to be treated
> as if it occurred as a 4th entry inside each of the three Address Sets.
>  ============================
>  suggestions::
>
> 1.   page 6
> It was not clear to me if 0 is the highest confidence or 254 is the highest
> confidence. Perhaps, it could explicitly say that confidence is described in
> [RFC6325]. Or maybe add something saying that larger values of confidence
> indicate higher confidence.
> ------------------------------------------------------------------
>
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill
>

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 5 Jun 2015 14:06:11 -0400

This draft provides a reasonable method of transporting address sets
and I do not think there is any technical issue with this solution.
However, looking at this with fresh eyes, it might be helpful to
implementors to include a one page appendix giving an example of how
to decode the "well know" values of the Template field (values 32 to
102).

I support his draft as a co-author.

I am not aware of any IPR in this draft.

Thanks,
Donald

On Fri, May 29, 2015 at 8:23 AM, Susan Hares <[email-masked]> wrote:
> This begins a 2 week WG LC for draft-ietf-trill-ia-appsubtlv-03 (5/29 to
> 6/12) .  The authors (Donald, Radia, Yizhou) should send a note to the list
> on whether they know of any IPR relating to this drasft.
>
>
>
> You can find the document at:
>
>
>
> http://datatracker.ietf.org/doc/draft-ietf-trill-ia-appsubtlv/
>
>
>
> This draft specifies a TRILL IS-IS application sub-TLV that enables the
> reporting by a
>
>    TRILL switch of sets of addresses such that all of the addresses in
>
>    each set designate the same interface (port) and the reporting for
>
>    such a set of the TRILL switch by which it is reachable. For example,
>
>    a 48-bit MAC (Media Access Control) address, IPv4 address, and IPv6
>
>    address can be reported as all corresponding to the same interface
>
>    reachable by a particular TRILL switch. Such information could be
>
>    used in some cases to synthesize responses to or by-pass the need for
>
>    the Address Resolution Protocol (ARP), the IPv6 Neighbor Discovery
>
>    (ND) protocol, or the flooding of unknown MAC addresses.
>
>
>
> For this draft, please answer the following questions:
>
>
>
> 1)      Is this draft ready for WG LC?
>
> 2)      Do you think this address passing mechanism will aid deployments of
> TRILL by
>
> resolving some addressing distribution issues,
>
> 3)      Is there any technical issue with this solution?
>
>
>
> Sue Hares and Jon Hudson

---

From: Liyizhou <[email-masked]>
Date: Mon, 15 Jun 2015 01:14:30 +0000

I do not know any IPR relating to this draft.

Thanks,
Yizhou

From: trill [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Friday, May 29, 2015 8:23 PM
To: [email-masked]
Cc: 'Donald Eastlake'; 'Jon Hudson'
Subject: [trill] WG LC for draft-ietf-trill-ia-appsubtlv-03 - 2 week WG LC (5/29 to 6/12)

This begins a 2 week WG LC for draft-ietf-trill-ia-appsubtlv-03 (5/29 to 6/12) .  The authors (Donald, Radia, Yizhou) should send a note to the list on whether they know of any IPR relating to this drasft.

This draft specifies a TRILL IS-IS application sub-TLV that enables the reporting by a

2)      Do you think this address passing mechanism will aid deployments of TRILL by

Sue Hares and Jon Hudson